---
title: Document.compatMode
slug: Web/API/Document/compatMode
tags:
  - API
  - DOM
  - Document
  - Property
  - Reference
---
<div>{{ ApiRef("DOM") }}</div>

<p>The <code><strong>Document.compatMode</strong></code> read-only property indicates whether the document is rendered in <a href="/en-US/docs/Web/HTML/Quirks_Mode_and_Standards_Mode">Quirks mode</a> or Standards mode.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <var>mode</var> = <var>document</var>.compatMode
</pre>

<h3 id="Value">Value</h3>

<p>An enumerated value that can be:</p>

<ul>
 <li>"<code>BackCompat</code>" if the document is in quirks mode.</li>
 <li>"<code>CSS1Compat</code>" if the document is in no-quirks (also known as "standards") mode or limited-quirks (also known as "almost standards") mode.</li>
</ul>

<div class="notecard note">
<p><strong>Note:</strong> All these modes are now standardized, so the older "standards" and "almost standards" names are nonsensical and no longer used in standards.</p>
</div>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">if (document.compatMode == "BackCompat") {
  // in Quirks mode
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-document-compatmode','compatMode')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.compatMode")}}</p>
